<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="http://mycompany.com/mynamespace" xmlns:js="urn:the-xml-files:xslt-csharp" xmlns:ntd="http://www.ntd.ru/ntd/" version="1.0">
	<xsl:output method="text"/>
	<xsl:template match="root">
		<xsl:for-each select="TEMPLATE_FIELD">
    declare @TemplateFieldId uniqueidentifier
    set @TemplateFieldId = '<xsl:value-of select="TemplateFieldID"/>'
    if not exists(select * from VCLib.T_TEMPLATE_FIELD where Entity = '<xsl:value-of select="Entity"/>' and AttrPath = '<xsl:value-of select="AttrPath"/>')
    insert into VCLib.T_TEMPLATE_FIELD(TemplateFieldID, Entity, AttrPath, UsersValuesOnly, CopyAttributes)
    values
    (
    @TemplateFieldId,
    '<xsl:value-of select="Entity"/>',
    '<xsl:value-of select="AttrPath"/>',
			<xsl:choose>
				<xsl:when test="string(UsersValuesOnly)">
					<xsl:value-of select="UsersValuesOnly"/>
				</xsl:when>
				<xsl:otherwise>NULL</xsl:otherwise>
			</xsl:choose>,
			<xsl:choose>
				<xsl:when test="string(CopyAttributes)">'<xsl:value-of select="CopyAttributes"/>'</xsl:when>
				<xsl:otherwise>NULL</xsl:otherwise>
			</xsl:choose>
    )
    else
    select @TemplateFieldID = TemplateFieldID from VCLib.T_TEMPLATE_FIELD where Entity = '<xsl:value-of select="Entity"/>' and AttrPath = '<xsl:value-of select="AttrPath"/>'

			<xsl:for-each select="TEMPLATE_FIELD_VALUE">
        if not exists(select * from VCLib.T_TEMPLATE_FIELD_VALUE where TemplateFieldValueID = '<xsl:value-of select="TemplateFieldValueID"/>')
        insert into VCLib.T_TEMPLATE_FIELD_VALUE(TemplateFieldValueID, TemplateField, TemplateString, Name, Category, TextValueType, TextFontSize)
        values
        (
          '<xsl:value-of select="TemplateFieldValueID"/>',
          @TemplateFieldId,
          '<xsl:value-of select="TemplateString"/>',
          '<xsl:value-of select="Name"/>',
				<xsl:choose>
					<xsl:when test="string(Category)">'<xsl:value-of select="Category"/>',</xsl:when>
					<xsl:otherwise>NULL,</xsl:otherwise>
				</xsl:choose>
          '<xsl:value-of select="TextValueType"/>',
				<xsl:choose>
					<xsl:when test="string(TextFontSize)">'<xsl:value-of select="TextFontSize"/>'</xsl:when>
					<xsl:otherwise>NULL</xsl:otherwise>
				</xsl:choose>
        )
			</xsl:for-each>
    GO
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>